path: /build/build/nvidia-575-kernel-modules-kernel-6.12-575.64.03+1.package.tar.zst
dependencies: []
compilespec:
  steps:
  - anise repo update && anise upgrade -y && anise i -y x11-drivers-575/nvidia-drivers
    && anise cleanup && emerge =x11-drivers/nvidia-kernel-modules-575.64.03 -pv -t
  - |
    emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-575.64.03
  - |
    eval 'rm -rf /nvidia-575-kernel-modules || true' && mkdir /nvidia-575-kernel-modules && \
    luet-portage --dir /nvidia-575-kernel-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-575-kernel-modules/lib/modules/nvidia/575.64.03/6.12.45-macaroni/video/*.ko
    ; do zstd ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:3a46aa9b8538e2adae1cb2f5395aa640721bd4d415f5efd4a58e8d18e6a92b68
  package:
    name: nvidia-575-kernel-modules
    version: 575.64.03+1
    category: kernel-6.12
    requires:
    - name: kernel
      version: '>=0'
      category: seed-6.12
    annotations:
      kernel_module: true
    buildtimestamp: 2025-09-11 15:24:43.416206747 +0000 UTC m=+839.850065553
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 6.12.45
      original.package.slot: "575"
      original.package.version: 575.64.03
    treedir: /build/packages
  package_dir: /nvidia-575-kernel-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 23b429f6cbd9cae03c89413c49c5490f89bd537d30b6720568a8eb0defe05afb
compressiontype: zstd
files:
- lib/modules/nvidia/575.64.03/6.12.45-macaroni/video/nvidia-drm.ko.zst
- lib/modules/nvidia/575.64.03/6.12.45-macaroni/video/nvidia-modeset.ko.zst
- lib/modules/nvidia/575.64.03/6.12.45-macaroni/video/nvidia-uvm.ko.zst
- lib/modules/nvidia/575.64.03/6.12.45-macaroni/video/nvidia.ko.zst
package_cacheimage: ""
runtime:
  name: nvidia-575-kernel-modules
  version: 575.64.03+1
  category: kernel-6.12
  requires:
  - name: gpu-configurator
    version: '>=0'
    category: app-admin
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 6.12.45
    original.package.slot: "575"
    original.package.version: 575.64.03
